Pular para o conteúdo principal
GET
/
client
/
quote
Gerar cotação de trade
curl --request GET \
  --url https://api.pixusglobal.com/client/quote \
  --header 'Authorization: Bearer <token>'
{
  "symbol": "USDTBRL",
  "price": "5.42",
  "totalCost": "5420.00",
  "totalFilled": "1000",
  "quoteId": "q_abc123",
  "expiresIn": 1755097046
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

symbols
string
padrão:USDTBRL

Par de trading (ex: USDTBRL)

amount
number
padrão:200

Valor em unidades para cotação ponderada (min: 200, max: 900000)

Intervalo obrigatório: 200 <= x <= 900000

Resposta

Cotação obtida com sucesso

symbol
string
Exemplo:

"USDTBRL"

price
string
Exemplo:

"5.42"

totalCost
string
Exemplo:

"5420.00"

totalFilled
string
Exemplo:

"1000"

quoteId
string
Exemplo:

"q_abc123"

expiresIn
number
Exemplo:

1755097046